# constructor

NAME (TYPE NAME, ...) { STATEMENT ...}
This form creates a constructor that is used in creating an instance of a class (called an object). The arguments given when creating an instance must be of the same type, and in the same order, as that specified by the constructor. No comma is needed after the last argument. When the constructor is preceeded by a modifier, then it can be accessed only under the conditions specified by the modifier.

ProfessorJ Advanced Language